Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

API Reference

Email Management

Conversation Management

Bulk Delete ParticipantsBulk Import ParticipantsBulk Update Participant StatusBulk Update Participant TagsCreate ParticipantExport ParticipantsGet ParticipantGet Participant EngagementList ParticipantsRemove ParticipantUpdate Participant

Configuration

Analytics & Operations

OpenAPI Specification
API ReferenceParticipants

List Participants

GET
/participants

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Query Parameters

page?integer
Default1
Range1 <= value <= 9007199254740991
limit?integer
Default20
Range1 <= value <= 100
filters?

Response Body

application/json

curl -X GET "https://samva.app/api/v1/participants"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "type": "human",
      "name": "string",
      "displayName": "string",
      "avatar": "string",
      "channelIdentities": [
        {
          "channel": "sms",
          "identifier": "string",
          "verified": true
        }
      ],
      "humanProfile": {
        "firstName": "string",
        "lastName": "string",
        "company": "string",
        "jobTitle": "string",
        "phone": "string",
        "email": "user@example.com",
        "location": {
          "country": "string",
          "state": "string",
          "city": "string",
          "timezone": "string"
        },
        "customFields": {
          "property1": "string",
          "property2": "string"
        },
        "source": "api",
        "sourceDetails": {
          "property1": "string",
          "property2": "string"
        }
      },
      "capabilities": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "engagement": {
        "property1": "string",
        "property2": "string"
      },
      "accessLevel": "public",
      "accessConfig": {
        "paymentRequired": {
          "amount": 0,
          "currency": "str",
          "validityHours": -9007199254740991,
          "message": "string"
        },
        "rateLimit": {
          "messagesPerHour": 9007199254740991,
          "messagesPerDay": 9007199254740991,
          "cooldownMinutes": 9007199254740991
        },
        "allowedParticipants": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "blockedParticipants": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "availability": {
          "timezone": "string",
          "schedule": [
            {
              "days": [
                6
              ],
              "startTime": "string",
              "endTime": "string"
            }
          ],
          "outOfOfficeMessage": "string"
        }
      },
      "preferences": {
        "preferredChannels": [
          "sms"
        ],
        "language": "st",
        "timezone": "string",
        "notifications": {
          "email": true,
          "sms": true,
          "whatsapp": true,
          "quiet_hours": {
            "start": "string",
            "end": "string"
          }
        },
        "messageFormats": {
          "preferMarkdown": true,
          "preferPlainText": true,
          "maxMessageLength": -9007199254740991
        }
      },
      "status": "active",
      "statusReason": "string",
      "externalId": "string",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
      "lastModifiedBy": "ac5c7580-b36d-42f3-a739-e202c634d1d1"
    }
  ],
  "pagination": {
    "page": -9007199254740991,
    "limit": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991
  }
}

Get Participant Engagement

Previous Page

Remove Participant

Next Page